{% extends "../sub_base.html" %}
{% block title %}Edit Addresses{% endblock %}

{% block sub_base_content %}
<div class="col-6 mx-auto">
  <h1 class="h3">Create/Edit Address</h1>
  <div>Add a new delivery <b>address</b> and delivery preferences</div>
  <hr />
  <form name="address_form" class="account-form" method="post" enctype="multipart/form-data">
    {% if form.errors %}
    <div class="alert alert-primary" role="alert">
      Error: Please try again!
    </div>
    {% endif %}
    {% csrf_token %}
    <label class="small fw-bold">{{ form.full_name.label}}</label>
    {{ form.full_name }}
    <label class="small fw-bold">{{ form.phone.label}}</label>
    {{ form.phone }}
    <label class="small fw-bold">{{ form.address_line_1.label}}</label>
    {{ form.address_line_1 }}
    <label class="small fw-bold">{{ form.address_line_2.label}}</label>
    {{ form.address_line_2 }}
    <label class="small fw-bold">{{ form.town_city.label}}</label>
    {{ form.town_city }}
    <label class="small fw-bold">{{ form.postcode.label}}</label>
    {{ form.postcode }}
    <button class="btn btn-primary btn-block py-2 mb-4 mt-4 fw-bold w-100" type="button" value="Submit" onclick="submitForm()">
    Add Address
    </button>
  </form>

</div>

<script> 
function submitForm() {
   var form = document.getElementsByName('address_form')[0];
   form.submit(); // Submit the form
   form.reset();  // Reset all form data
   return false; // Prevent page refresh
}
</script>
{% endblock %}